# -*- coding: utf-8 -*-
# Copyright (c) 2021, JINGROW
# For license information, please see license.txt


import jingrow


def execute():
	jingrow.reload_pg("jcloud", "pagetype", "marketplace_app")
	apps = jingrow.get_all("Marketplace App", {"app": ("is", "not set")})
	for app in apps:
		jingrow.db.set_value(
			"Marketplace App", app.name, "app", app.name, update_modified=False, modified=False
		)
